Bug 9727 - Minor bug (?) in the file /etc/rc.d/init.d/functions
Minor bug (?) in the file /etc/rc.d/init.d/functions
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: 9728 9729 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-02-23 17:21 EST by david
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-28 15:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description david 2000-02-23 17:21:24 EST
The mechanism used to detect if a daemon is still running is incompatible
with sendmail.  When sendmail has any number of active connections, the
command '/etc/rc.d/init.d/sendmail restart' cannot be used to restart
sendmail, since the 'daemon' function thinks that sendmail is still

The problem is one of basic logic... when a deamon is stopped, its
/var/run/xxx.pid file is unlinked.  Without that file however, you don't
know which process is the parent and which are the children.

I'm not sure if this is a 'bug' or if there is simply no way to do this
'correctly', but whatever the case, it is annoying. :-)
Comment 1 Bill Nottingham 2000-02-23 18:28:59 EST
*** Bug 9729 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2000-02-23 18:29:59 EST
*** Bug 9728 has been marked as a duplicate of this bug. ***
Comment 3 Bill Nottingham 2000-02-28 15:49:59 EST
This is hard to fix in the current framework; we'll look
at ways to resolve this in a future release.

Note You need to log in before you can comment on or make changes to this bug.